ur_rna.StructureEditor.windows

## Class ColorizeDialog.SymbolColorRule

- java.lang.Object
- - ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl
  - - ur_rna.StructureEditor.windows.ColorizeDialog.SymbolColorRule

- All Implemented Interfaces:
    ColorizeDialog.ColorEditControl
  Enclosing class:
    ColorizeDialog

      private static class ColorizeDialog.SymbolColorRule
      extends ColorizeDialog.SimpleColorControl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnChoose`
    `private javax.swing.JCheckBox` | `chkEnable`
    `private javax.swing.JLabel` | `lblColor`
    `private javax.swing.JTextField` | `txtColor`
    `private javax.swing.JTextField` | `txtSymbol`

    - ### Fields inherited from class ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl

      `box, txt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymbolColorRule(ColorizeDialog dialog)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToPanel(javax.swing.JComponent panel)`
    `void` | `addToPanel(javax.swing.JComponent panel, int lineIndex)`
    `java.lang.String` | `getSymbol()`
    `boolean` | `isEnabled()`
    `void` | `remove()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setSymbol(java.lang.String text)`
    `private void` | `updateEnabledUI(java.awt.event.ItemEvent event)`

    - ### Methods inherited from class ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl

      `addBoxClickHandler, getColor, getColorText, getPanel, setColor, setColorText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.windows.ColorizeDialog.ColorEditControl

      `setColorFromText`

- - ### Field Detail

    - #### btnChoose

          private javax.swing.JButton btnChoose

    - #### chkEnable

          private javax.swing.JCheckBox chkEnable

    - #### lblColor

          private javax.swing.JLabel lblColor

    - #### txtColor

          private javax.swing.JTextField txtColor

    - #### txtSymbol

          private javax.swing.JTextField txtSymbol

  - ### Constructor Detail

    - #### SymbolColorRule

          public SymbolColorRule(ColorizeDialog dialog)

  - ### Method Detail

    - #### addToPanel

          public void addToPanel(javax.swing.JComponent panel)

    - #### addToPanel

          public void addToPanel(javax.swing.JComponent panel,
                                 int lineIndex)

    - #### getSymbol

          public java.lang.String getSymbol()

    - #### isEnabled

          public boolean isEnabled()

    - #### remove

          public void remove()

      Overrides:
        `remove` in class `ColorizeDialog.SimpleColorControl`

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### setSymbol

          public void setSymbol(java.lang.String text)

    - #### updateEnabledUI

          private void updateEnabledUI(java.awt.event.ItemEvent event)